Create an upload
curl --request POST \
--url https://app.maybloc.com/api/v1/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "<string>",
"byte_size": 1073741824
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_name: '<string>', byte_size: 1073741824})
};
fetch('https://app.maybloc.com/api/v1/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.maybloc.com/api/v1/uploads"
payload = {
"file_name": "<string>",
"byte_size": 1073741824
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "upload",
"upload_url": "<string>",
"headers": {},
"file_name": "<string>",
"content_type": "<string>",
"byte_size": 123,
"status": "pending"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}Uploads
Create an upload
Returns a URL that accepts one PUT of the file for 15 minutes.
POST
/
uploads
Create an upload
curl --request POST \
--url https://app.maybloc.com/api/v1/uploads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"file_name": "<string>",
"byte_size": 1073741824
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({file_name: '<string>', byte_size: 1073741824})
};
fetch('https://app.maybloc.com/api/v1/uploads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.maybloc.com/api/v1/uploads"
payload = {
"file_name": "<string>",
"byte_size": 1073741824
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "upload",
"upload_url": "<string>",
"headers": {},
"file_name": "<string>",
"content_type": "<string>",
"byte_size": 123,
"status": "pending"
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"request_id": "<string>"
}
}Authorizations
An API key: Authorization: Bearer mbk_live_...
Body
application/json
Shown as the transcript's title.
Maximum string length:
255MP3, M4A, AAC, WAV, FLAC, OGG, Opus or WebM audio, or MP4, MOV, MKV or WebM video (only the sound is kept).
Available options:
audio/mpeg, audio/mp4, audio/x-m4a, audio/aac, audio/wav, audio/x-wav, audio/wave, audio/vnd.wave, audio/flac, audio/x-flac, audio/ogg, audio/opus, audio/webm, video/mp4, video/quicktime, video/x-matroska, video/webm Required range:
1 <= x <= 2147483648Last modified on October 26, 2026
Was this page helpful?

